//需要回调
function controllerCenterCallBack(type,cmd,params){
    if(navigator.userAgent.indexOf("Android")>0){//判断是安卓浏览器
        eval('javascript:QM_APP_WEBVIEW_ENGINE_'+type+'.'+cmd+'("'+params+'")');
    }
    if(navigator.userAgent.toLowerCase().indexOf('iphone')>0){
        eval('window.webkit.messageHandlers.'+cmd+'.postMessage("'+params+'")');
    }

}
//不需要回调
function controllerCenter(type,cmd){
    if(navigator.userAgent.indexOf("Android")>0){//判断是安卓浏览器
        eval('javascript:QM_APP_WEBVIEW_ENGINE_'+type+'.'+cmd+'()');
    }
    if(navigator.userAgent.toLowerCase().indexOf('iphone')>0){
        eval('window.webkit.messageHandlers.'+cmd+'.postMessage("")');
    }
}

/**
 * 选择照片 选择照片或者拍照，默认是只能选择单张照片，若选择多张照片，需要传入数量。
 * 回调说明：当选择需要传入多张照片时候，全部上传完成后回调
 * 调用举例： selectImg("selectImgCallBack,9");
 * @param {Object} params 回调方法的方法名称+","+数量，若不传数量，默认是选择的单文件
 */
function selectImg(params){
    controllerCenterCallBack('camera','request_select',params);
}

//////////////////////////选择附件/////////////////////////////////////////////////////
/**
 * 检索附件,选择好所有类型的附件后，上传，将上传结果回调给js，默认为只能选择单个文件，若选择多个，需要传入数量。
 * 回调说明：当选择多个文件时，全部上传完成后回调
 * 调用举例： scanAttach("scanAttachCallBack,9");
 * @param {Object} params 回调方法的方法名称+","+数量，若不传数量，默认是选择的单文件
 */
function scanAttach(params){
    controllerCenterCallBack('attach','request_scan',params);
}
/**
 * 检索附件,选择好文档附件后，上传，将上传结果回调给js，默认为只能选择单个文件，若选择多个，需要传入数量。
 * 回调说明：当选择多个文件时，全部上传完成后回调
 * 调用举例： scanAttachDoc("scanAttachDocCallBack,9");
 * @param {Object} params 回调方法的方法名称+","+数量，若不传数量，默认是选择的单文件
 */
function scanAttachDoc(params){
    controllerCenterCallBack('attach','request_select_doc',params);
}

/**
 * 检索附件,选择好视频附件后，上传，将上传结果回调给js，默认为只能选择单个文件，若选择多个，需要传入数量。
 * 回调说明：当选择多个文件时，全部上传完成后回调
 * 调用举例： scanAttachVideo("scanAttachVideoCallBack,9");
 * @param {Object} params 回调方法的方法名称+","+数量，若不传数量，默认是选择的单文件
 */
function scanAttachVideo(params){
    controllerCenterCallBack('attach','request_select_video',params);
}

/**
 * 检索附件,选择好音频附件后，上传，将上传结果回调给js，默认为只能选择单个文件，若选择多个，需要传入数量。
 * 回调说明：当选择多个文件时，全部上传完成后回调
 * 调用举例： scanAttachAudio("scanAttachAudioCallBack,9");
 * @param {Object} params 回调方法的方法名称+","+数量，若不传数量，默认是选择的单文件
 */
function scanAttachAudio(params){
    controllerCenterCallBack('attach','request_select_audio',params);
}

/******share 分享接口****/
function selectAndShare(params){
    controllerCenterCallBack('share','request_share',params);
}
